Author Topic: Heavy Steam ULT  (Read 455 times)

DaneG

  • Fireman
  • **
  • Posts: 13
Re: Heavy Steam ULT
« Reply #15 on: February 11, 2021, 02:30:43 PM »
Using trial and error, I was able to confirm that the Heavy Steam ULT does not work with the LM-2S.

nodcc4me

  • Conductor
  • ****
  • Posts: 634
  • RailPro Fan
Re: Heavy Steam ULT
« Reply #16 on: February 11, 2021, 05:17:03 PM »
Dane, was that because there is insufficient memory space in the LM-2s or is it electronically incompatible?
Al

Run your train, not your brain. Get RailPro. It's a no-brainer.

KPack

  • Conductor
  • ****
  • Posts: 678
Re: Heavy Steam ULT
« Reply #17 on: February 11, 2021, 05:55:54 PM »
I talked to Tim Ring and he said they have not written software for the LM-2S that can handle the Heavy Steam ULT.  They may get it done, but he is also not sure if it will fit on the LM-2S.  He has said that before with other software updates and ULT sounds, but they were able to get them all to work fine on the LM-2S.  Back when they first released the major sound update with all the new features, it was originally designed only for the LM-3S (which was relatively new at the time).  Most Railpro guys still had a ton of LM-2S's so I pressed him to try and get the code to work on the LM-2S.  He did, and all the new features and ULT sounds work just fine on those modules.

My guess is that he will do the same for the Heavy Steam ULT and LM-2S.  The file size for the ULT apparently isn't as large as other files.  So it would just be a matter of updating the LM-2S from 2.09 to 2.30, which is quite a jump.

-Kevin

nodcc4me

  • Conductor
  • ****
  • Posts: 634
  • RailPro Fan
Re: Heavy Steam ULT
« Reply #18 on: February 11, 2021, 06:06:07 PM »
I hope Tim can make it work on a LM-2s. I have several. I wonder why he went from 2.09 to 2.30?
Al

Run your train, not your brain. Get RailPro. It's a no-brainer.

KPack

  • Conductor
  • ****
  • Posts: 678
Re: Heavy Steam ULT
« Reply #19 on: February 12, 2021, 11:02:50 AM »
Don't forget the LM-3S had another update previous to this...2.12 I believe.  That was to enable the new Shay ULT to play properly.  The LM-2S was never updated to that version, but in theory it should be capable of it since everything else so far has worked on the LM-2S once Ring has put the time in to write the software.

The jump from 2.12 to 2.30 tells me they did a ton of internal test revisions when they were trying to get the new programming to work.  Seems like it must have been fairly complicated.

-Kevin